Update a document pack Run in API Explorer
Ask AI
PUT
/api/v1/document-pack/document-pack/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/document-pack/document-pack/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"name": "Terms and Conditions",
"description": "Terms and Conditions for our services",
"is_template": true
}'
Request examples
{
"name": "Terms and Conditions",
"description": "Terms and Conditions for our services",
"is_template": true
}
Response examples (200)
{
"data": [
{
"uuid": "15f9be63-66c7-4212-8e1b-aec819dd07d7",
"created_at": "2026-10-30T16:30:05+00:00",
"updated_at": "2026-10-30T16:30:05+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "772151eb-bcda-45f6-9f38-51f4fade8435",
"created_at": "2026-10-30T16:30:05+00:00",
"updated_at": "2026-10-30T16:30:05+00:00",
"valued_at": "2026-10-30T16:30:05+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "db3ec774-3ab1-45a0-b708-efb927f89909",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "63c0f056-704c-48e9-9a90-d8bc8ab3d6b4",
"created_at": "2026-10-30T16:30:05+00:00",
"updated_at": "2026-10-30T16:30:05+00:00",
"is_proposed": true,
"proposed_at": "2026-10-30T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}